{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>gallery</title>
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' % }" />
</head>

<body>

 
    {% block content%}
    <section class=" form" id="form">
            <div class="container response">
                <!-- <div class="card_form">
                    <div class="card"> -->
                    <h1 class="card__title" font-style : Poppins> Add Schedule
                    </h1>
                    <div class="table-responsive-lg">
                    <table class="table">
                            <thead class="thead-light">
                              <tr>
                                <th scope="col">Course Name</th>
                                <th scope="col">Lecturer</th>
                                <th scope="col">Credit (SKS)</th>
                                <th scope="col">Description</th>
                                <th scope="col">Semester</th>
                                <th scope="col">Year</th>
                                <th scope="col">Room Number</th>
                                <th scope="col">Delete</th>
                              </tr>
                            </thead>
                            <tbody>
                                {% for schedule in responseform %}
                                <tr>
                                <th scope="row">
                                    {{schedule.coursename}}
                                </th>
                                <td>{{schedule.lecturer}}</td>
                                <td>{{schedule.credit}}</td>
                                <td>{{schedule.description}}</td>
                                <td>{{schedule.semester}}</td>
                                <td>{{schedule.year}}</td>
                                <td>{{schedule.room}}</td>
                                <td><a href="{% url 'homepage:delete' delete_id=schedule.pk %}"><button class="btn btn-icon btn-danger"></button></a></td>
                                </tr>
                                {% endfor %}
                            </tbody>
                          </table>
                          <a href="{% url 'homepage:form' %}" class="btn-one">add Schedule</a>

                    <!-- </div>
                </div> -->
                </div>
        </div>
    </section>
    {% endblock %}
    </body>

</html>
    
    
    
         
             
           
        

    
